package com.backendsys.aspect;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface QueryNullCheck {
    Class serviceClass();
    String serviceMethod();             // 查询方法名
    String argField();                  // 参数字段名
    String message() default "";        // 错误信息
}
